Sale!

bucklemeup® Kit

Buy the bucklemeup® Kit for passenger vehicles up to 7 seats.

$89.00$248.50

Clear
SKU: BMU-1 Category:
For Buses please email us with your brief & specifications

Description

The bucklemeup kit comes with the following items:

  1. Two seatbelt cartridges and double-sided adhesive tape. Additional cartridges may be ordered if required.
  2. FREE shipping.

DOWNLOAD THE FREE BUCKLEMEUP APP

DEVICE COMPATIBILITY

Supported Apple Devices running iOS 7 and 8:

iPhone (Released 2011 or later): 4s, 5, 5c, 5s, 6, 6 Plus, 7, 7 Plus, 8, 8 Plus, X, X Plus
iPad (Released 2012 or later): 3rd Gen, 4th Gen, Air, 6th Gen
iPad Mini
iPod Touch
Apple Watch

bucklemeup® is compatible with most Android devices equipped with Android 4.4 (Kitkat) or newer and Bluetooth 4.0, Low Energy or newer.

Samsung Galaxy (S5 or newer)
Samsung Note (4 or newer)
Nexus (4 or newer)
OnePlus (One or newer)
HTC one (M8 or newer)
Motorola Moto X (or newer)

In order to run the bucklemeup Android app, your device will need both of the following:

Android 4.4.2 or higher (KitKat or Lollipop, with the exception of Marshmallow 6.0.0)*
Bluetooth 4.0

*IMPORTANT- Please be advised that bucklemeup’s connectivity and app are affected by a known Bluetooth issue with devices using Android 6.0.X (Marshmallow). Connectivity issues are confirmed to be fixed in Android 6.0.1 and above for Nexus devices.

If your device is not on this list but uses Android 4.4 and Bluetooth 4.0, there is a good chance bucklemeup will work fine, but we are not able to offer the same level of support in troubleshooting scenarios.

Additional information

WeightN/A